Package com.independentsoft.office.odf.styles

# Enum Class MeasureVerticalAlignment

java.lang.Object
java.lang.Enum<MeasureVerticalAlignment>
com.independentsoft.office.odf.styles.MeasureVerticalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<MeasureVerticalAlignment>`, `Constable`

public enum MeasureVerticalAlignment extends Enum<MeasureVerticalAlignment>
Represents the vertical alignment of a measure text relative to its measure line.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE`
  Vertical alignment of a measure text should be above relative to its measure line.
  `AUTOMATIC`
  Vertical alignment of a measure text relative to its measure line is chosen by the consumer.
  `BELOW`
  Vertical alignment of a measure text should be below relative to its measure line.
  `CENTER`
  Vertical alignment of a measure text should be centered relative to its measure line.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MeasureVerticalAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MeasureVerticalAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTOMATIC

    public static final MeasureVerticalAlignment AUTOMATIC
    Vertical alignment of a measure text relative to its measure line is chosen by the consumer.

  - ### ABOVE

    public static final MeasureVerticalAlignment ABOVE
    Vertical alignment of a measure text should be above relative to its measure line.

  - ### BELOW

    public static final MeasureVerticalAlignment BELOW
    Vertical alignment of a measure text should be below relative to its measure line.

  - ### CENTER

    public static final MeasureVerticalAlignment CENTER
    Vertical alignment of a measure text should be centered relative to its measure line.

  - ### NONE

    public static final MeasureVerticalAlignment NONE
    None.

- ## Method Details

  - ### values

    public static MeasureVerticalAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MeasureVerticalAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null